Get Run Events
Paginated event read. after is the event id cursor — clients
doing periodic polls pass back the highest id they’ve seen to get only
the delta. Default 0 returns from the start.
GET
/
runs
/
{run_id}
/
events
Get Run Events
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v4/runs/{run_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v4/runs/{run_id}/events \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v4/runs/{run_id}/events"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"ts": "2023-11-07T05:31:56Z",
"type": "<string>",
"data": {}
}
],
"nextAfter": 123,
"hasMore": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Was this page helpful?
⌘I
Get Run Events
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v4/runs/{run_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v4/runs/{run_id}/events \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v4/runs/{run_id}/events"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"ts": "2023-11-07T05:31:56Z",
"type": "<string>",
"data": {}
}
],
"nextAfter": 123,
"hasMore": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}